<refentry id="step.element">
<?dbhtml filename="step.html"?>
<refentryinfo>
<pubdate>$Date: 2003-12-23 23:26:49 +0800 (Tue, 23 Dec 2003) $</pubdate>
<releaseinfo>$Revision: 3321 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>step</secondary></indexterm>
<refentrytitle>step</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>step</refname>
<refpurpose>&step.purpose;</refpurpose>
</refnamediv>

&step.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para>
A <sgmltag>Step</sgmltag> identifies a unit of action in a <sgmltag>Procedure</sgmltag>.
If a finer level of granularity is required for some steps, you
can embed <sgmltag>SubSteps</sgmltag> in a <sgmltag>Step</sgmltag>. Embedded 
<sgmltag>SubSteps</sgmltag> contain <sgmltag>Step</sgmltag>s, so that substeps can
be nested to any depth.
</para>

<refsect2><title>Processing expectations</title>
<para>
&format.block; <sgmltag>Step</sgmltag>s are almost always numbered.
</para>
</refsect2>


&step.parents.gen;
&step.children.gen;
</refsect1>
<refsect1 condition='ref.elem.attrdesc'><title>Attributes</title>
<variablelist>
<varlistentry><term>performance</term>
<listitem>
<para><sgmltag class="attribute">Performance</sgmltag> specifies whether 
particular <sgmltag>Step</sgmltag> in a <sgmltag>Procedure</sgmltag> must be performed
or is optional.
</para>
</listitem>
</varlistentry>
</variablelist>
</refsect1>
<refsect1><title>Examples</title>

&step.example.seealso.gen;
</refsect1>
</refentry>

